#!/bin/sh

# df.sh
# Estimate the disk space required to run this integration.
# Miroslav Broz (miroslav.broz@email.cz), Feb 19th 2008

TPIN=tp.in
PLIN=pl.in

if [ ! -e $PLIN ] ; then
  PLIN=pl_inv.in
fi
if [ ! -e $TPIN ] ; then
  TPIN=tp_inv.in
fi

awk '
{
  gsub("d", "e");
}
(FILENAME==ARGV[1]) && (FNR==1){
  tstart=$1;
  tstop=$2;
}
(FILENAME==ARGV[1]) && (FNR==2){
  dt=$1;
}
(FILENAME==ARGV[2]) && (FNR==1){
  npl=$1;
}
(FILENAME==ARGV[3]) && (FNR==1){
  ntp=$1;
}
(FILENAME==ARGV[4]) && (FNR==3){
  decim = $1; 
  for (i=2; i<=NF; i++) {
    decim = decim*$i;
  }
}
(FILENAME==ARGV[4]) && (FNR==6){
  dtfilter = $1;
}
(FILENAME==ARGV[4]) && (FNR==9){
  write_filter = $1;
}
(FILENAME==ARGV[5]) && (FNR==17){
  dtproper = $1*365.25e6;
}
END{
  print "\nbin.dat:";
  df = (28 + 66 * (npl-1+ntp)) * ((tstop-tstart)/dt+1);
  TOTAL += df;
  print df " B = " df/(1024.*1024.) " MB = " df/(1024.**3) " GB\n";

  print "bin.filter.dat:";
  if (write_filter == "F") {
    df = 0;
  } else {
    df = (24 + 42 * (npl-1+ntp)) * (tstop-tstart)/(dtfilter*decim);
  }
  TOTAL += df;
  print df " B = " df/(1024.*1024.) " MB = " df/(1024.**3) " GB\n";

  print "bin.proper.dat:";
  df = (24 + 42 * (npl-1+ntp)) * (tstop-tstart)/dtproper;
  TOTAL += df;
  print df " B = " df/(1024.**2) " MB = " df/(1024.**3) " GB\n";

  print "TOTAL:"
  df = TOTAL;
  print df " B = " df/(1024.**2) " MB = " df/(1024.**3) " GB\n";
}
' param.in $PLIN $TPIN filter.in proper.in > df.out

cat df.out


